<?php

# HA NINCS ID, AKKOR SZÜLŐLISTA
# HA VAN ID, AKKOR SZÜLŐ ADATAINAK MEGJELENÍTÉSE/SZERKESZTÉSE

if ($this->is_id()) {
	# ADOTT TAG ADATAINAK MEGJELENÍTÉSE

	$parent = new user_parent();
	$parent->set_user_data_by_id($this->get_id());

	$smarty->assign('parent', $parent);
	$smarty->display('parent_data_edit.tpl');
	
}
else {
	# SZÜLŐ LISTA

	$parent_query = "SELECT * FROM user_parent WHERE up_deleted = 0 ORDER BY up_name ASC;";
	$parent_assoc_array = $sql->assoc_array($parent_query);
	$parent_array = array();
	foreach ($parent_assoc_array as $parent) {
		$new_parent = new user_parent();
		$new_parent->set_user_data_by_id($parent['up_id']);
		$parent_array[] = $new_parent;
	}

	$smarty->assign('parent_array', $parent_array);
	$smarty->display('parent_list.tpl');
	
}

?>